dpkg-buildflags(1)

NOMBRE
dpkg-buildflags - Devuelve opciones de compilación a usar durante la construcción del paquete

SINOPSIS
dpkg-buildflags [opción...] orden

DESCRIPCIÓN
dpkg-buildflags es una herramienta para obtener las opciones de compilación a usar durante la construcción de paquetes Debian. Las opciones predefinidas se definen por el proveedor, pero se pueden extender y sustituir de varias formas:

1.  Para todo el sistema con /etc/dpkg/buildflags.conf;

2.  Para el usuario actual con $XDG_CONFIG_HOME/dpkg/buildflags.conf, dónde $XDG_CONFIG_HOME tiene como valor predefinido $HOME/.config;

3.  Temporalmente con variables de entorno (consulte la sección ENTORNO).

Los ficheros de configuración pueden contener dos tipos de directivas:

SET opción valor
    Sustituye la opción llamada opción con el valor valor.

APPEND opción valor
    Extiende la opción llamada opción con las opciones dadas en valor. Se prefijará un espacio al valor añadido si el valor actual de la opción no está vacío.

Los ficheros de configuración pueden contener comentarios en líneas que empiecen con «#». También se ignoran líneas vacías.

ÓRDENES

--list
    Muestra la lista de opciones aceptadas por el proveedor actual (uno por línea). Para más información acerca de ellos consulte la sección OPCIONES ACEPTADAS.

--export=format
    Muestra por la salida del intérprete de órdenes estándar (si format es sh) o make (si format es make) las órdenes que se pueden usar para exportar todas las opciones de compilación en el entorno. Se asume sh si no se introduce el valor format. Sólo se incluyen opciones de compilación que empiezan con un carácter en mayúscula, se asume que los otros no son adecuados para el entorno.

--get opción
    Muestra el valor de la opción por la salida estándar. Cierra con valor 0 si la opción es conocida, y el valor 1 en caso contrario.

--origin opción
    Muestra el origen del valor obtenido con --get. Cierro con valor 0 si la opción es conocida, y el valor 1 en caso contrario. El origen puede ser cualquiera de las siguientes opciones:

    vendor
        Devuelve la opción originalmente definida por el proveedor;

    system
        La opción está definida o modificada por una configuración que afecta a todo el sistema;

    user
        La opción esta definida o modificada por una configuración específica del usuario;

    env La opción esta definida o modificado por una configuración específica del entorno.

--help
    Muestra el modo de uso y termina.

--version
    Muestra la versión y termina.

OPCIONES ACEPTADAS

CFLAGS
    Opciones para el compilador C. El valor por omisión definido por el proveedor incluye -g y el nivel de optimización predefinido (habitualmente -O2, o -O0 si la variable de entorno DEB_BUILD_OPTIONS define noopt).

CPPFLAGS
    Opciones para el preprocesador C. Valor por omisión: vacío.

CXXFLAGS
    Opciones para el compilador C++. Idéntica a CFLAGS.

FFLAGS
    Opciones para el compilador Fortran. Idéntica a CFLAGS.

LDFLAGS
    Opciones introducidas al compilador al enlazar ejecutables u objetos compartidos (en el caso de invocar al enlazador directamente, debe eliminar -Wl y «,» de estas opciones). Valor por omisión: vacío.

FICHEROS

/etc/dpkg/buildflags.conf
    Fichero de configuración de todo el sistema.

$XDG_CONFIG_HOME/dpkg/buildflags.conf o $HOME/.config/dpkg/buildflags.conf
    Fichero de configuración del usuario.

ENTORNO

DEB_opción_SET
    Esta variable se puede usar para forzar el valor devuelto para la opción dada.

DEB_opción_APPEND
    Esta variable se puede usar para añadir opciones adicionales al valor devuelto por la opción dada.

AUTOR
Copyright © 2010 Raphaël Hertzog

Esto es software libre; vea la versión 2 o posterior de la Licencia Pública General GNU para condiciones de copia. NO hay ninguna garantía.

TRADUCTOR
Rudy Godoy <rudy@kernel-panik.org>, Rubén Porras <nahoo@inicia.es>, Bruno Barrera C. <bruno.barrera@igloo.cl>, Carlos Izquierdo <gheesh@ertis.net>, Esteban Manchado y NOK. Debian L10n Spanish <debian-l10n-spanish@lists.debian.org>.
Revisiones por Santiago Vila <sanvila@unex.es>, Javier Fernández-Sanguino, Rubén Porras, Luis Uribe y Omar Campagne.